/* $Id: Cerdisp.h,v 1.9 2002/08/03 03:41:48 d Exp $ */
/* David Leonard, 2001. Public domain. */

#ifndef	_Cerdisp_h_
#define	_Cerdisp_h_

/*
 A Windows CE remote display server widget

 Class:		cerdispWidgetClass
 Class Name:	Cerdisp
 Superclass:	widget

 Resources added by the Cerdisp widget class:

 Name		     Class		RepType		Default Value
 ----		     -----		-------		-------------
 proxy		     Proxy		String		NULL
 proxyPort	     ProxyPort		String		"987"
 listenPort	     ListenPort		String		"987"
 printVersion	     PrintVersion	Boolean		False
 verbose	     Verbose		Boolean		False
 scale		     Scale		Dimension	1
*/

/* define any special resource names here that are not in <X11/StringDefs.h> */
#define XtNlistenPort		"listenPort"
#define XtNproxy		"proxy"
#define XtNproxyPort		"proxyPort"
#define XtNprintVersion		"printVersion"
#define XtNverbose		"verbose"
#define XtNscale		"scale"

#define XtCListenPort		"ListenPort"
#define XtCProxy		"Proxy"
#define XtCProxyPort		"ProxyPort"
#define XtCPrintVersion		"PrintVersion"
#define XtCVerbose		"Verbose"
#define XtCScale		"Scale"

/* declare specific CerdispWidget class and instance datatypes */
typedef struct _CerdispClassRec *CerdispWidgetClass;
typedef struct _CerdispRec *CerdispWidget;

/* declare the class constant */
extern WidgetClass cerdispWidgetClass;

#endif /* _Cerdisp_h */
